rte_flow_item_any(3)

NAME
rte_flow_item_any

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t num

Detailed Description

RTE_FLOW_ITEM_TYPE_ANY

Matches any protocol in place of the current layer, a single ANY may also stand for several protocol layers.

This is usually specified as the first pattern item when looking for a protocol anywhere in a packet.

A zeroed mask stands for any number of layers.

Definition at line 792 of file rte_flow.h.

Field Documentation

  uint32_t num
Number of layers covered.

Definition at line 793 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.